# Fun Utilities and Games

`fun_utilities` is a Python module offering a diverse collection of text-based games and GUI-based applications. These projects are designed for fun, learning, and utility, making them perfect for a variety of use cases.

## Features

The module includes:

### Text-Based Games
1. **Hangman**: Guess the hidden word letter by letter.
2. **Number Guesser**: Guess a random number within a certain range.
3. **Rock-Paper-Scissors**: Play against the computer.
4. **Riddle Game**: Solve riddles within a limited number of attempts.
5. **Word Scramble**: Unscramble the shuffled letters to form a word.
6. **Snake Game**: A simple terminal-based version of the classic Snake game.
7. **Tic-Tac-Toe**: Play Tic-Tac-Toe (Noughts and Crosses) against the computer or another player.

### GUI-Based Applications
8. **Basic Calculator**: Perform basic arithmetic operations with an intuitive GUI.
9. **Currency Converter**: Convert between different currencies using an interactive interface.
10. **Password Generator**: Create strong and secure passwords with customization options.
11. **Temperature Converter**: Convert temperatures between Celsius, Fahrenheit, and Kelvin.
12. **Wordle Game**: A word-guessing game with customizable word lengths and enhanced visuals.
13. **BMI Calculator**: Calculate your Body Mass Index with an intuitive GUI.
14. **Palindrome Checker**: Check if a given string is a palindrome with detailed feedback.
15. **Student Form**: Manage student records by filling out a form and saving the data to a file.
16. **Digital Clock**: A real-time clock with an elegant GUI.

## Installation

You can install the module via `pip`:

pip install fun-utilities


Usage
Each project is implemented in its own file within the fun_utilities folder. You can import and use them individually as needed. Here's how you can use each project:

Hangman
`from fun_utilities.hangman import run_hangman`
`run_hangman()`

Number Guesser
`from fun_utilities.number_guesser import run_number_guesser`
`run_number_guesser()`

Rock-Paper-Scissors
`from fun_utilities.rock_paper_scissor import run_rock_paper_scissors`
`run_rock_paper_scissors()`

Riddle Game
`from fun_utilities.riddle_game import run_riddle_game`
`run_riddle_game()`

Word Scrambler
`from fun_utilities.word_scrambler import run_word_scrambler`
`run_word_scrambler()`

Snake Game
`from fun_utilities.snake_game import run_snake_game`
`run_snake_game()`

Tic-Tac-Toe
`from fun_utilities.tic_tac_toe import run_tic_tac_toe`
`run_tic_tac_toe()`

Basic Calculator
`from fun_utilities.basic_calculator import run_basic_calculator`
`run_basic_calculator()`

Currency Converter
`from fun_utilities.currency_converter import run_currency_converter`
`run_currency_converter()`

Password Generator
`from fun_utilities.password_generator import run_password_generator`
`run_password_generator()`

Temperature Converter
`from fun_utilities.temperature_converter import run_temperature_converter`
`run_temperature_converter()`

Wordle Game
`from fun_utilities.wordle_game import run_wordle_game`
`run_wordle_game()`

BMI Calculator
`from fun_utilities.bmi_calculator import run_bmi_calculator`
`run_bmi_calculator()`

Palindrome Checker
`from fun_utilities.palindrome_checker import run_palindrome_checker`
`run_palindrome_checker()`

Student Form
`from fun_utilities.student_form import run_student_form`
`run_student_form()`

Digital Clock
`from fun_utilities.digital_clock import run_digital_clock`
`run_digital_clock()`
